---
title: 'Registration & Account Access'
linkTitle: 'Registration & Account Access'
weight: 1
description: 'CVAT.ai registration and account access.'
---

To start to annotate in CVAT.ai, you need to
create an account or log in to the existing account.

See:

- [User registration](#user-registration)
- [User registration with social accounts](#user-registration-with-social-accounts)
- [Account access](#account-access)
- [Password reset](#password-reset)
- [Change password](#change-password)

To create account or log in, go to the [CVAT.ai Cloud](https://app.cvat.ai/) login page:

![](/images/image001.jpg)

> **Note:** By default authentication and registration with
> Google and GitHub work only for [CVAT.ai Cloud](https://app.cvat.ai/).
> <br>If you want to use Google and GitHub authentication on a local installation,
> see {{< ilink "/docs/enterprise/social-accounts-configuration" "Social auth configuration" >}}.

## User registration

To register, do the following:

1. Click **Create an account**.

   ![Create account](/images/image002.jpg)

2. Fill in all blank fields, accept terms of use, and
   click **Create an account**.

![Account form](/images/image003.jpg)

<br>A username generates from the email automatically. You can edit it if needed.

![Usernname generation](/images/filling_email.gif)

## User registration with social accounts

To register with Google or GitHub,
click the button with the name of the service,
and follow instructions on the screen.

## Account access

To access your account, do the following:

1. Go to the login page.
2. Enter username or email. The password field will appear.
3. Enter the password and click **Next**.

To log in with Google or GitHub, click the button with the name of the service.

## Password reset

To reset password, do the following:

1. Go to the [CVAT.ai Cloud](https://app.cvat.ai/) page and click
   **Forgot password?**

   ![Reset password](/images/reset-password.jpg)

2. Enter email you used for registration and click **Send**.
3. Open email and click on the link from CVAT.
4. Enter new password in both fields and click **Change password**.

   ![Reset password](/images/reset-password-01.jpg)

## Change password

To change password, do the following:

1. Log in to your CVAT account.
2. In the top right corner, click on the arrow next to
your nickname.
3. Select Change password.
4. Follow instructions on the screen.

   ![Reset password](/images/change_password.jpg)
